Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.qms.naming
Class QMSEnvironment

    java.lang.Object
      |
      +--com.novell.utility.naming.Environment
            |
            +--com.novell.service.qms.naming.QMSEnvironment

public class QMSEnvironment
extends Environment
implements java.lang.Cloneable, java.io.Serializable

Defines the set of environment property constant Strings that uniquely controls the behavior of Queues and Queue Jobs. The QMSEnvironment class extends the Environment class, which provides constants for environment variables associated with Novell JNDI providers.

See Also:
  `Environment`, Serialized Form

Field Summary
`static java.lang.String` | `QUEUE_ID` Environment property containing the queue ID (String).
`static java.lang.String` | `QUEUE_JOB_ID` Environment property containing the queue job ID (String).
`static java.lang.String` | `QUEUE_NAME` Environment property containing the queue name (String).
`static java.lang.String` | `QUEUE_TYPE` Environment property containing the queue type (String).

Fields inherited from class com.novell.utility.naming.Environment
`AUTHORITATIVE, BATCHSIZE, DNS_URL, FS_INITIAL_CONTEXT_FACTORY, IIOP_PROTOCOL, INITIAL_CONTEXT_FACTORY, LANGUAGE, LDAP_PROTOCOL, NCP_PROTOCOL, NDS_INITIAL_CONTEXT_FACTORY, NW_INITIAL_CONTEXT_FACTORY, OBJECT_FACTORIES, PROVIDER_URL, QMS_INITIAL_CONTEXT_FACTORY, REFERRAL, RMI_PROTOCOL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, SERVER_INITIAL_CONTEXT_FACTORY, SESSION_MANAGER_OBJECT, SESSION_OBJECT, TRANSPORT_PROTOCOL, URL_PKG_PREFIXES`

Methods inherited from class com.novell.utility.naming.Environment
``

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUEUE_NAME

    public static final java.lang.String QUEUE_NAME

  Environment property containing the queue name (String).

  (QUEUE_NAME = "com.novell.service.qms.naming.queueName")

### QUEUE_TYPE

    public static final java.lang.String QUEUE_TYPE

  Environment property containing the queue type (String).

  (QUEUE_TYPE = "com.novell.service.qms.naming.queueType")

### QUEUE_ID

    public static final java.lang.String QUEUE_ID

  Environment property containing the queue ID (String).

  (QUEUE_ID = "com.novell.service.qms.naming.queueID")

### QUEUE_JOB_ID

    public static final java.lang.String QUEUE_JOB_ID

  Environment property containing the queue job ID (String).

  (QUEUE_JOB_ID = "com.novell.service.qms.naming.queueJobID")

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD